---
title: HTMLMediaElement.currentSrc
slug: Web/API/HTMLMediaElement/currentSrc
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Read-only
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.currentSrc</code></strong> property contains the absolute URL of the chosen media resource. This could happen, for example, if the web server selects a media file based on the resolution of the user's display. The value is an empty string if the <code>networkState</code> property is <code>EMPTY</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mediaUrl</em> = <em>audioObject</em>.currentSrc;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} object containing the absolute URL of the chosen media source; this may be an empty string if <code>networkState</code> is <code>EMPTY</code>; otherwise, it will be one of the resources listed by the {{domxref("HTMLSourceElement")}} contained within the media element, or the value or src if no {{HTMLElement("source")}} element is provided.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.currentSrc); // ""
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-currentsrc", "HTMLMediaElement.currentSrc")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.currentSrc")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.currentSrc")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
